# Interface WorkCubeImage

interface WorkCubeImage {
back: string;
down: string;
front: string;
histogram?: Histogram;
left: string;
right: string;
up: string;
work: Work;
}

#### Hierarchy (View Summary)

- Record<CubeFace, string>
  - WorkCubeImage
    - WorkImage
    - WorkTile

- Defined in lib/five/work/work.ts:27

##### Index

### Properties

back
down
front
histogram?
left
right
up
work

## Properties

### back

back: string

Inherited from Record.back

### down

down: string

Inherited from Record.down

### front

front: string

Inherited from Record.front

### `Optional` histogram

histogram?: Histogram

- Defined in lib/five/work/work.ts:29

### left

left: string

Inherited from Record.left

### right

right: string

Inherited from Record.right

### up

up: string

Inherited from Record.up

### work

work: Work

- Defined in lib/five/work/work.ts:28